<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal">
    <TableLayout
        android:background="@mipmap/bgxz"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_gravity="center"
        android:stretchColumns="0">
        <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal">
            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">
                <TextView
                    android:id="@+id/materialname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="20dp"
                    android:layout_alignParentLeft="true"
                    android:inputType="text"
                    android:padding="3dp"
                    android:theme="@style/MyEditText1"
                    android:textColor="@color/foreground"
                    android:textSize="@dimen/textSize"
                    android:text="11111"/>
<!--                <Spinner-->
<!--                    android:id="@+id/name"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="match_parent"-->
<!--                    android:layout_centerVertical="true"-->
<!--                    android:layout_marginLeft="20dp"-->
<!--                    android:layout_alignParentLeft="true"-->
<!--                    android:inputType="text"-->
<!--                    android:padding="3dp"-->
<!--                    android:theme="@style/MyEditText1"-->
<!--                    android:spinnerMode="dropdown"-->
<!--                    android:background="@drawable/round_corners_bg"-->
<!--                    android:textColor="@color/foreground"-->
<!--                    android:textSize="@dimen/textSize"/>-->
            </RelativeLayout>
            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">
                <EditText
                    android:id="@+id/sort"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="20dp"
                    android:layout_alignParentLeft="true"
                    android:inputType="text"
                    android:digits="0123456789"
                    android:padding="3dp"
                    android:textColor="@color/foreground"
                    android:theme="@style/MyEditText1"
                    android:background="@drawable/round_corners_bg"
                    android:hint="请输入序号"
                    android:maxLines="1"
                    android:textSize="@dimen/textSize"/>
            </RelativeLayout>
            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">
                <EditText
                    android:id="@+id/value"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="20dp"
                    android:layout_alignParentLeft="true"
                    android:inputType="text"
                    android:digits="0123456789"
                    android:padding="3dp"
                    android:textColor="@color/foreground"
                    android:theme="@style/MyEditText1"
                    android:background="@drawable/round_corners_bg"
                    android:hint="请输入数值"
                    android:maxLines="1"
                    android:textSize="@dimen/textSize"/>
            </RelativeLayout>
            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/button_item"
                        android:text="删除"
                        android:background="@drawable/btn_button"
                        android:textSize="@dimen/textSize"
                        android:textColor="@color/foreground"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="20dp"
                        android:layout_width="60dp"
                        android:layout_height="26dp"
                        />
                </LinearLayout>

            </RelativeLayout>

        </TableRow>
    </TableLayout>
</RelativeLayout>